PASW Data Collection Interviewer 5.6 Installation Instructions

These instructions are for installing Interviewer 5.6 from the installation CD using a single user license or a site license.

A single user license allows you to install Interviewer 5.6 on up to two computers, if those computers are used by one user. A site license allows you to install Interviewer 5.6 on multiple computers for use by multiple users.

Interviewer is a fully integrated interviewing solution for mobile and on-site data collection. Refer to the Interviewer for Data Entry User's Guide for more information.

Related Topics

Before You Start


Before You Start

Before you install Interviewer, read these installation instructions.

To Print these Installation Instructions Using the Mouse

Printing these instructions,Printing these instructions,Printing these instructions

On the Contents tab, right-click Interviewer Installation Instructions and then select Print.

In the Print Topics window, select Print the selected heading and all subtopics and then click OK.

To Print these Installation Instructions Using the Keyboard

Press Alt+C to select the Contents tab.

Use the arrow keys to highlight the topic called Interviewer Installation Instructions.

Press Alt+O, P to select the Options button and the Print option.

In the Print Topics window, select Print the selected heading and all subtopics and then press Enter.

What You Need to Run Interviewer


What You Need to Run Interviewer

Hardware requirements,Hardware requirements,Hardware requirements
Software requirements,Software requirements,Software requirements
Minimum hardware and software requirements,Minimum hardware and software requirements,Minimum hardware and software requirements

The minimum hardware and software requirements for Interviewer are as follows:

Operating Systems

• Microsoft® Windows® XP Professional (32-bit edition) with Service Pack 2, Microsoft Windows XP Tablet PC Edition 2005 (32-bit edition) with Service Pack 2, or Microsoft Windows Vista Ultimate Edition (32-bit or x64 64-bit edition).

Software

For Microsoft XP Systems:

• Microsoft .NET Framework 2.0 SP1 (included on the Interviewer installation CD).

• Microsoft Internet Explorer 6.0 or 7.0

• Microsoft Data Access Components 2.8 or later (included on the Interviewer installation CD). The installation automatically installs the English language version, but if you are running a different language version of Windows you need to install the appropriate language version.

For Microsoft Vista Systems:

• Microsoft .NET Framework version 3.0

• Microsoft Internet Explorer 7.0

Hardware

• Pentium®-class processor operating at 1GHz or faster. 2GHz recommended.

• 512MB RAM

• A hard disk with at least 200MB of available disk space, and additional space for Interviewer data files.

• CD-ROM drive required for installation.

• A graphics adapter with 1024 x 768 resolution or higher.

• Minimum 16-bit color quality setting.

License Code

• Your license code, which is supplied with your Interviewer installation CD. This enables you to install the system that you have purchased.

Related Topics

PASW Collaboration and Deployment Services Documentation
Required Software Checklist


Required Software Checklist

Required software checklist,Required software checklist,Required software checklist

Interviewer requires the following software in order to run.

Automatic Installation

The Interviewer installation procedure checks for the following software and installs it if it is not already installed.

• Microsoft Data Access Components 2.8 (English language version)

Available on the Interviewer Installation CD

The following software is required for Windows XP systems and can be installed manually from the Interviewer installation CD.

• Microsoft .NET Framework 2.0 SP1

Download and Install Separately

The following required software must be downloaded and installed separately before Interviewer can be installed.

• Internet Explorer 6.0 or 7.0

Related Topics

Microsoft Data Access Components 2.8
Installing Microsoft .NET Framework 2.0 SP1
Installing Internet Explorer 6.0 or 7.0
Installing Interviewer 5.6


Installing Microsoft .NET Framework 2.0 SP1

Microsoft .NET framework,Microsoft .NET framework,Microsoft .NET framework
Installing,Installing,Installing

Before you can install Interviewer 5.6 on a Windows XP system, you need to install Microsoft .NET Framework 2.0 SP1. If you attempt to install when Microsoft .NET Framework 2.0 SP1 is not installed, the installation program will display a message explaining that you need to install it before you can proceed with the installation.

Notes

Installing Microsoft .NET Framework 2.0 SP1 upgrades a number of Windows components.

To Install Microsoft .NET Framework 2.0 SP1

From the Interviewer Installer window, choose Install Microsoft .NET Framework 2.0 SP1.

Follow the instructions on the screen.

Restart your computer. This is recommended even if the installation program does not request it.

Required Software Checklist


Installing Internet Explorer 6.0 or 7.0

Internet Explorer 6.0 or 7.0,Internet Explorer 6.0 or 7.0,Internet Explorer 6.0 or 7.0
Installing,Installing,Installing

Before you can install Interviewer, you need Internet Explorer 6.0 or 7.0 to be installed on your computer.

Internet Explorer is available in many languages from http://www.microsoft.com/windows/ie/downloads/default.mspx.

Required Software Checklist


Microsoft Data Access Components 2.8

Microsoft Data Access Components,Microsoft Data Access Components,Microsoft Data Access Components

The Interviewer installation automatically installs the English language version of Microsoft Data Access Components (MDAC) 2.8. If you are running a different language version of Windows, you need to install the appropriate language version, which is available on the Interviewer CD-ROM.

For more information on MDAC 2.8, see http://www.microsoft.com/Windows/downloads/default.mspx.

Required Software Checklist


Installing Interviewer 5.6

Product,Product,Product
Installing,Installing,Installing
Installing the product,Installing the product,Installing the product

Important

• Before you can install Interviewer 5.6 on a Windows XP system, you need to install Microsoft .NET Framework 2.0 SP1. If you attempt to install when Microsoft .NET Framework 2.0 SP1 is not installed, the installation program will display a message explaining that you need to install it before you can proceed with the installation. See the topic Installing Microsoft .NET Framework 2.0 SP1 for more information.

• If you are upgrading from Interview Player 5.5, you must first synchronize your 5.5 project data to the server before upgrading to the new 5.6 environment. You may encounter problems if you try to use 5.5 data in a 5.6 environment (for example, the directory structure is different in 5.6). If you want to work with 5.5 (or older) .mdd files, you must first reactivate them in a 5.6 environment.

• Before you can install Data Model, you need Microsoft Internet Explorer 6.0 or 7.0 to be installed on your computer. See the topic Installing Internet Explorer 6.0 or 7.0 for more information.

To Start the Installation Program Manually

The Windows AutoPlay feature should detect and start the installation program when you insert the Interviewer 5.6 installation CD into the CD-ROM drive. If this does not happen, follow these steps to start the installation program manually:

Insert the Interviewer 5.6 installation CD into the CD-ROM drive.

From the Windows Start menu, choose Run.

In the Run dialog box, type d:\autoplay where d:\ is the CD-ROM drive.

This opens the Interviewer 5.6 Installer window.

To Install Interviewer 5.6

From the Installer window, choose Install Interviewer 5.6.

This starts the Interviewer 5.6 Setup wizard.

On the Welcome page, select Single user license or Site license and click Next.

On the License Agreement page, read the license agreement.

If you accept the agreement, click I accept the terms in the license agreement and click Next.

Installing Microsoft .NET Framework 2.0 SP1


Licensing Your Product

After the main part of the installation is complete, click Yes to launch the License Authorization Wizard. The License Authorization Wizard allows you to obtain a license for Interviewer.

Note: Licenses are tied to your computer's hardware with a lock code. If you replace your computer or its hardware, you will have a new lock code and will need to repeat the authorization process. If you find out that you exceeded the allowable number of authorizations specified in the license agreement, contact your sales representative.

Warning: The license is sensitive to time changes. If you must change the system time and then cannot run the product, contact SPSS Inc. Technical Support.


Using the License Authorization Wizard

Note: If you are running Windows Vista, you may be prompted for administrator credentials. Without the correct credentials, you will not be able to run the Licence Authorization Wizard.

If you don't launch the License Authorization Wizard during installation or cancel the License Authorization Wizard before obtaining a license, you can launch it by choosing License Authorization Wizard in the Windows Start menu program group for Interviewer.

When prompted, choose License my product now.

When prompted, enter one or more authorization codes you received from SPSS Inc..

The License Authorization Wizard sends your authorization code over the Internet to SPSS Inc. and automatically retrieves your license. If your computer is behind a proxy, click Configure proxy settings and enter the appropriate settings.

If the authorization process fails, you will be prompted to send an e-mail message. Choose whether you want to send the e-mail message through your desktop e-mail program or through a Web-based e-mail application.

• If you choose the desktop option, a new message with the appropriate information will be created automatically.

• If you choose the Web-based option, you must first create a new message in your Web-based e-mail program. Then copy the message text from the License Authorization Wizard and paste it into your e-mail application.

Send the e-mail message and respond to the prompt in the License Authorization Wizard. The e-mail message will be processed almost instantaneously. You can click Enter License Code(s) to enter any license code(s) that you receive. If you already closed the License Authorization Wizard, restart it and select License my product now. On the Enter Codes panel, add the license code that you received and click Next to complete the process.


Installing Interviewer From the Command Line

Interviewer,Interviewer,Interviewer
Installing,Installing,Installing
Installing Interviewer,Installing Interviewer,Installing Interviewer
Silent install,Silent install,Silent install

You can install Interviewer from the command line. This is useful for system administrators who want to set up a "silent install" process that does not require the user to enter information in the install screens.

To install from the command line

Open a command prompt. For example, in Windows XP, click the Start button and then choose Programs, then choose Accessories and then choose Command Prompt.

Change to the folder on the CD-ROM that contains the setup.exe file.

At the command prompt, enter a command in the following format:

start /WAIT setup.exe /s /v" /qn /l*v \"mylogfile\" INSTALLDIR=\"my_path\" LICENSECODE=\"my_license_code\" "

The options are:

Option | Description
start /WAIT | Optional. Waits until the command is finished before returning to the command prompt. Although this is optional it is useful in a silent install, as otherwise the log needs to be continually examined to find out when the install has completed.
/s | Required. Tells setup.exe to be silent.
/v | Required. Tells setup.exe to pass the following parameters (that is, everything between the following quotation mark and the final quotation mark at the end of the command) to the MSI installer.
/qn | Required. Tells the MSI installer to run in Quiet mode, that is, not to provide any user interface.
/l*v \"mylogfile\" | Optional. Tells the MSI installer to log in Verbose mode to the file mylogfile.
INSTALLDIR=\"my_path\" | Optional. Defines the folder where you want to install Interviewer. Not necessary if you want to install into the default folder for PASW Data Collection products, which is [INSTALL_FOLDER]\SPSSInc\PASWDataCollection5.6.
LICENSECODE=\"my_license_code\" | Required. The license code supplied with your Interviewer CD.

Examples

The following example installs Interviewer into the default folder without logging the install:

setup.exe /s /v" /qn LICENSECODE=\"12345 67890 12345 67890 12345 67890 12345 67890\" "

The following example installs Interviewer into the default folder and logs the installation messages to a file called C:\log.txt:

setup.exe /s /v" /qn /l*v \"C:\log.txt\" LICENSECODE=\"12345 67890 12345 67890 12345 67890 12345 67890\" "

The following example installs Interviewer into the specified folder and logs the installation messages to a file called C:\log.txt:

setup.exe /s /v" /qn /l*v \"C:\log.txt\" INSTALLDIR=\"C:\MyInstallFolder\" LICENSECODE=\"12345 67890 12345 67890 12345 67890 12345 67890\" "

The following example does the same as the previous example, but waits for the install to complete before returning to the command prompt:

start /WAIT setup.exe /s /v" /qn /l*v \"C:\log.txt\" INSTALLDIR=\"C:\MyInstallFolder\" LICENSECODE=\"12345 67890 12345 67890 12345 67890 12345 67890\" "

Removing Interviewer Using the Command Line


Renewing the License for Interviewer

Product,Product,Product
Renewing the license,Renewing the license,Renewing the license
Renewing the product license,Renewing the product license,Renewing the product license

If your license for Interviewer has expired, you will see a message each time you start Interviewer telling you how many days are left before the product will stop working. When you see that message, renew your Interviewer license as soon as possible.

To Renew the License

Using either the Windows Explorer or the Windows command prompt, navigate to .

Run licrenew.exe.

At the prompt, enter the new license code supplied to you by SPSS Inc..

If you have been given more than one license code, enter the additional license codes one at a time.

To exit licrenew.exe, press Enter at the prompt without typing anything.


Removing Interviewer

Interviewer,Interviewer,Interviewer
Removing,Removing,Removing
Removing,Removing,Removing
Interviewer,Interviewer,Interviewer

Important

To remove Interviewer, you should use the Windows uninstall feature. If you simply delete the files and folders associated with the product, the program is not properly removed and you may have problems installing or removing later versions.

To Remove Interviewer

Log on as the user that you used for installing Interviewer, or as any user in the administrators group.

Open Control Panel and choose Add/Remove Programs.

Choose PASW Data Collection Interviewer

Click Add/Remove or Change/Remove.

This starts the PASW Data Collection Interviewer Setup wizard.

On the Welcome page, choose Remove and then click Next.

Confirm your request when prompted to do so.

On the Maintenance Complete page, click Finish.

Restart your computer when prompted to do so. If you do not restart you will not be able to re-install Interviewer.


Removing Interviewer Using the Command Line

Interviewer,Interviewer,Interviewer
Uninstalling,Uninstalling,Uninstalling
Uninstalling Interviewer,Uninstalling Interviewer,Uninstalling Interviewer
Silent uninstall,Silent uninstall,Silent uninstall
Interviewer,Interviewer,Interviewer
Removing,Removing,Removing
Removing Interviewer,Removing Interviewer,Removing Interviewer

You can remove Interviewer using the command line. This is useful for system administrators who want to run a "silent uninstall".

To remove using the command line

Open a command prompt. For example, in Windows XP, click the Start button and then choose Programs, then choose Accessories and then choose Command Prompt.

Change to the folder on the CD-ROM that contains the setup.exe file.

At the command prompt, enter a command in the following format:

start /WAIT setup.exe /s /x /v" /qn /l*v \"mylogfile\" "

The options are:

Option | Description
start /WAIT | Optional. Waits until the command is finished before returning to the command prompt. Although this is optional it is useful in a silent uninstall, as otherwise it is difficult to know when the uninstall has completed.
/s | Required. Tells setup.exe to be silent.
/x | Required. Uninstalls the product.
/v | Required. Tells setup.exe to pass the following parameters (that is, everything between the following quotation mark and the final quotation mark at the end of the command) to the MSI installer.
/qn | Required. Tells the MSI uninstaller to run in Quiet mode, that is, not to provide any user interface.
/l*v \"mylogfile\" | Optional. Tells the MSI uninstaller to log in Verbose mode to the file mylogfile.

Examples

The following example shows a basic uninstallation:

setup.exe /s /x /v" /qn "

The following example logs the uninstallation messages to a file called C:\log2.txt. It also waits for the uninstall to complete before returning to the command prompt:

start /WAIT setup.exe /s /x /v" /qn /l*v \"C:\log2.txt\" "

Installing Interviewer From the Command Line


Troubleshooting

Running a Logged Installation


Running a Logged Installation

Logged installation,Logged installation,Logged installation
Running,Running,Running
Running a logged installation,Running a logged installation,Running a logged installation

If you have problems during installation you cannot resolve, your SPSS Inc. Technical Support representative may request that you run a logged installation and send SPSS Inc. the log file. You should not need to do this under normal circumstances.

To Run a Logged Installation

Open a command prompt. For example, in Windows XP, click Start and go to

All Programs
Accessories
Command Prompt

At the command prompt, type the following:

PASWDataCollectionandSurveyVisualization5.6.exe /s /v"/qn /l*v \"<location and name of log file>" installdir=\"C:\MyInstallFolder\" addlocal=All"

For example, the following command creates a file called mylog.txt in the C:\temp folder:

PASWDataCollectionandSurveyVisualization5.6.exe /s /v"/qn /l*v \"C:\Temp\mylog.txt\" installdir=\"C:\MyInstallFolder\" addlocal=All"

Follow the instructions for installing Interviewer, but skip the first step. See the topic Installing Interviewer 5.6 for more information.